Dawg's Tags
+ Parameters
Section:
Group Dawg's Tags. Base URL:https://api.instance_name.meiro.io/.
Dawg's Tags [/dawgs/{dawg_id}/tags{?limit,offset,order_by,order_dir,name_filter,load_full_structure}]
List All Dawg's Tags [GET]
-
Parameters
- limit (number, optional) - Limit of the number of records returned
- offset (number, optional) - Offset for the number of records returned
- order_by (string, optional) - Ordered column name
- order_dir (string, optional) - Ordering direction
- load_full_structure (number, optional) - Full data structure return flag
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"dawg_tags": [
{
"id": 100,
"user_id": 200,
"dawg_id": 300,
"tag_id": 400,
"created": "2017-01-01 15:35:00"
}
],
"selection_settings": {
"limit": 20,
"offset": null,
"order_by": "id",
"order_dir": "ASC"
}
}Assign a Tag to the Dawg [POST]
-
Parameters
- load_full_structure (number, optional) - Full data structure return flag
-
Attributes
- tag_id:
400(number)
- tag_id:
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 201 (application/json)
{
"dawg_tag": {
"id": 100,
"user_id": 200,
"dawg_id": 300,
"tag_id": 400,
"created": "2017-01-01 15:35:00"
}
}Dawg's Tag [/dawgs/{dawg_id}/tags/{tag_id}]
Delete a Dawg's Tag [DELETE]
-
Request (application/json)
-
Headers
X-Access-Token: 1234567890abcdef
-
-
Response 200 (application/json)
{
"message": "OK"
}